[Setup]
AppName=GSpread.NET
AppVerName=GSpread.NET 1.0
AppPublisher=Scand Ltd
AppPublisherURL=http://scand.com/products/gSpread/
AppSupportURL=http://scand.com/products/gSpread/
AppUpdatesURL=http://scand.com/products/gspread/
AppVersion=1.0
AppCopyright=Copyright © 2016 Scand Ltd
DefaultDirName={pf}\GSpread.NET
DefaultGroupName=GSpread.NET
OutputDir=..

;ExtraDiskSpaceRequired=12840000
LicenseFile=LICENSE.txt
Compression=bzip
SolidCompression=false
PrivilegesRequired=admin

ArchitecturesAllowed=x86 x64
ArchitecturesInstallIn64BitMode=x64

VersionInfoDescription=GSpread.NET - Google Spreadsheets .NET API Setup
VersionInfoVersion=1.0.0.0

[Languages]
Name: en; MessagesFile: compiler:Default.isl; LicenseFile: LICENSE.txt

[Setup]
OutputBaseFilename=GSpread.NET-1.0-setup

; Common defines for plug-in specific code
[Code]

function IsX64: Boolean;
begin
  Result := Is64BitInstallMode and (ProcessorArchitecture = paX64);
end;

function IsX86: Boolean;
begin
  Result := not IsX64;
end;

function getHKLM() : Integer;
begin
  if IsX64 then begin
    Result := HKLM64;
  end else begin
    Result := HKEY_LOCAL_MACHINE;
  end;
end;

[Files]
;GSpread.NET itself
Source: ..\bin\Debug\*.config; DestDir: {app}; Flags: ignoreversion overwritereadonly replacesameversion
Source: ..\bin\Debug\*.dll; DestDir: {app}; Flags: ignoreversion overwritereadonly replacesameversion
Source: ..\bin\Debug\*.tlb; DestDir: {app}; Flags: ignoreversion overwritereadonly replacesameversion
Source: ..\bin\Debug\GSpreadTest.exe; DestDir: {app}; Flags: ignoreversion overwritereadonly replacesameversion
Source: ..\bin\*.vbs; DestDir: {app}; Flags: ignoreversion overwritereadonly replacesameversion

[Registry]
Root: HKLM; Subkey: SOFTWARE\Scand Ltd\GSpread.NET; ValueType: string; ValueName: InstallDir; ValueData: {app}; Flags: uninsdeletekey
Root: HKLM; Subkey: SOFTWARE\Wow6432Node\Scand Ltd\GSpread.NET; ValueType: string; ValueName: InstallDir; ValueData: {app}; Flags: uninsdeletekey; Check: IsX64

[Files]
Source: LICENSE.txt; DestDir: {app}\doc; Flags: ignoreversion overwritereadonly replacesameversion
Source: GSpread.NET.url; DestDir: {app}\doc; Flags: ignoreversion overwritereadonly replacesameversion
Source: ..\*.txt; DestDir: {app}\doc; Flags: ignoreversion overwritereadonly replacesameversion
Source: ..\*.docx; DestDir: {app}\doc; Flags: ignoreversion overwritereadonly replacesameversion
Source: ..\ReadMe; DestDir: {app}\doc; Flags: ignoreversion overwritereadonly replacesameversion

[Tasks]
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Flags: unchecked

[Icons]
Name: "{group}\GNU GPLv3"; Filename: "{app}\doc\license.txt"; WorkingDir: "{app}\doc"
Name: "{group}\GSpread.NET Online"; Filename: "{app}\doc\GSpread.NET.url"; WorkingDir: "{app}\doc"
Name: "{group}\Uninstall GSpread.NET"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{group}\GSpread.NET Excel API list"; Filename: "{app}\doc\api.txt"; WorkingDir: "{app}\doc"
Name: "{group}\GSpread.NET Intro"; Filename: "{app}\doc\advertise.txt"; WorkingDir: "{app}\doc"
Name: "{group}\GSpread.NET GoogleApps Configuration HowTo"; Filename: "{app}\doc\Configure-GoogleApps-Howto.docx"; WorkingDir: "{app}\doc"
Name: "{group}\GSpread.NET VBScript Example"; Filename: "{app}\test.vbs"; WorkingDir: "{app}"

[Run]
Filename: "{sys}\regsvr32.exe"; Parameters: "/s GSpreadCOM.dll"; WorkingDir: "{app}"; Description: "Registering shell extension..."; Flags: runhidden; Check: IsX64
Filename: "{syswow64}\regsvr32.exe"; Parameters: "/s GSpreadCOM.dll"; WorkingDir: "{app}"; Description: "Registering shell extension..."; Flags: runhidden; Check: IsX64
Filename: "{sys}\regsvr32.exe"; Parameters: "/s GSpreadCOM.dll"; WorkingDir: "{app}"; Description: "Registering shell extension..."; Flags: runhidden; Check: IsX86

[UninstallRun]
Filename: "{sys}\regsvr32.exe"; Parameters: "/s /u GSpreadCOM.dll"; WorkingDir: "{app}"; Flags: runhidden; Check: IsX64
Filename: "{syswow64}\regsvr32.exe"; Parameters: "/s /u GSpreadCOM.dll"; WorkingDir: "{app}"; Flags: runhidden; Check: IsX64
Filename: "{sys}\regsvr32.exe"; Parameters: "/s /u GSpreadCOM.dll"; WorkingDir: "{app}"; Flags: runhidden; Check: IsX86
