﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Google.GData.Spreadsheets;

namespace GSpreadCOM.Domain
{
	sealed class Sheet
	{
		public WorksheetEntry Worksheet { get; private set; }
		public CellService Cells { get; private set; }
		public SheetsService Service { get; private set; }

		public Sheet(SheetsService sheets, SpreadsheetsService spreadsheets, WorksheetEntry sheet)
		{
			Service = sheets;
			Worksheet = sheet;
			Cells = new CellService(this, spreadsheets);
		}

		public String Name
		{
			get { return Worksheet.Title.Text; }
			set
			{
				Worksheet.Title.Text = value;
				Worksheet.Update();
			}
		}

		public void Delete()
		{
			Worksheet.Delete();
		}
	}
}
